astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Visualization (`astropy.visualization`) »
- BaseInterval

# BaseInterval

class `astropy.visualization.``BaseInterval`

  Bases: `astropy.visualization.BaseTransform`

  Base class for the interval classes, which, when called with an array of values, return an interval computed following different algorithms.

  Methods Summary

  `__call__`(values[, clip, out]) |
  `get_limits`(values) | Return the minimum and maximum value in the interval based on the values provided.

  Methods Documentation

  `__call__`(values, clip=True, out=None)
  `get_limits`(values)

    Return the minimum and maximum value in the interval based on the values provided.